Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::AveragePayloadFunction Class Reference

Calculate the final score as the average score of all payloads seen. More...

`#include <AveragePayloadFunction.h>`

Inheritance diagram for Lucene::AveragePayloadFunction:

## Public Member Functions

virtual | ~AveragePayloadFunction ()
virtual String | getClassName ()
boost::shared_ptr< AveragePayloadFunction > | shared_from_this ()
virtual double | currentScore (int32_t docId, const String &field, int32_t start, int32_t end, int32_t numPayloadsSeen, double currentScore, double currentPayloadScore)
| Calculate the score up to this point for this doc and field.
virtual double | docScore (int32_t docId, const String &field, int32_t numPayloadsSeen, double payloadScore)
| Calculate the final score for all the payloads seen so far for this doc/field.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
Public Member Functions inherited from Lucene::PayloadFunction
virtual | ~PayloadFunction ()
boost::shared_ptr< PayloadFunction > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::PayloadFunction
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::PayloadFunction
| PayloadFunction ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Calculate the final score as the average score of all payloads seen.

Is thread safe and completely reusable.

## Constructor & Destructor Documentation

## ◆ ~AveragePayloadFunction()

virtual Lucene::AveragePayloadFunction::~AveragePayloadFunction | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::AveragePayloadFunction::_getClassName | ( |  | ) |

inline static

## ◆ currentScore()

virtual double Lucene::AveragePayloadFunction::currentScore | ( | int32_t | docId,
|  | const String & | field,
|  | int32_t | start,
|  | int32_t | end,
|  | int32_t | numPayloadsSeen,
|  | double | currentScore,
|  | double | currentPayloadScore
| ) |  |

virtual

Calculate the score up to this point for this doc and field.

Parameters

  docId | The current doc
  field | The field
  start | The start position of the matching Span
  end | The end position of the matching Span
  numPayloadsSeen | The number of payloads seen so far
  currentScore | The current score so far
  currentPayloadScore | The score for the current payload

Returns
  The new current Score

See also
  Spans

Implements Lucene::PayloadFunction.

## ◆ docScore()

virtual double Lucene::AveragePayloadFunction::docScore | ( | int32_t | docId,
|  | const String & | field,
|  | int32_t | numPayloadsSeen,
|  | double | payloadScore
| ) |  |

virtual

Calculate the final score for all the payloads seen so far for this doc/field.

Parameters

  docId | The current doc
  field | The current field
  numPayloadsSeen | The total number of payloads seen on this document
  payloadScore | The raw score for those payloads

Returns
  The final score for the payloads

Implements Lucene::PayloadFunction.

## ◆ equals()

virtual bool Lucene::AveragePayloadFunction::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Implements Lucene::PayloadFunction.

## ◆ getClassName()

virtual String Lucene::AveragePayloadFunction::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::PayloadFunction.

## ◆ hashCode()

virtual int32_t Lucene::AveragePayloadFunction::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Implements Lucene::PayloadFunction.

## ◆ shared_from_this()

boost::shared_ptr< AveragePayloadFunction > Lucene::AveragePayloadFunction::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- AveragePayloadFunction.h

clucene.sourceforge.net